Skip to main content
GET
/
api
/
v1
/
studies
/
{id}
Get Study By Id
curl --request GET \
  --url https://api.getversive.com/api/v1/studies/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "study_123",
  "title": "My Study",
  "metadata": {},
  "type": "VERSIVE_STUDY",
  "mode": "TEXT_AND_VOICE",
  "created_at": "2024-01-01T00:00:00Z",
  "description": "A study about preferences.",
  "config": {
    "interviewName": "Interviewer",
    "primaryColor": "#0E9489"
  },
  "welcome_message": {
    "title": "Welcome",
    "body": "Thanks for participating."
  },
  "thank_you_message": {
    "title": "Thank You",
    "body": "Goodbye."
  },
  "screen_out_message": {
    "title": "Screened Out",
    "body": "Sorry."
  }
}
Retrieve detailed information about a specific study using its ID. Includes configuration, metadata, and associated resources.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Successful Response